<template>
  <div class="flowing-text mx-auto">
    <h1>{{ $t('about.bison') }}</h1>

    <i18n-t keypath="about.text" tag="p" scope="global">
      <template #tib>
        <a href="https://www.tib.eu/en/">TIB</a>
      </template>
      <template #slub>
        <a href="https://www.slub-dresden.de/en">SLUB Dresden</a>
      </template>
      <template #project>
        <a href="https://projects.tib.eu/bison">{{ $t('about.projectpage') }}</a>
      </template>
      <template #doaj>
        <a href="https://doaj.org">DOAJ</a>
      </template>
      <template #opencitations>
        <a href="https://opencitations.net">OpenCitations</a>
      </template>
      <template #scientific_institutions>
        <a href="https://projects.tib.eu/bison/en/supporters/">{{ $t('about.scientific_institutions') }}</a>
      </template>
    </i18n-t>
    <div class="mb-3">
      <video :key="$t('about.video_url')" controls class="w-100" poster="../assets/video_thumbnail.png">
        <source :src="$t('about.video_url')" type="video/mp4" />
        <p>
          {{ $t('about.video_not_supported') }}<a :href="$t('about.video_avportal_url')">$t('about.video_avportal_url')</a>.
        </p>
      </video>
    </div>

    <h2>{{ $t('about.for_institution') }}</h2>
    <i18n-t keypath="about.for_institution_text" tag="p" scope="global">
      <template #url>
        <a :href="$t('about.for_institution_url')">{{ $t('about.for_institution_url_text') }}</a>
      </template>
    </i18n-t>

    <div v-if="news.length > 0">
      <h2>{{ $t('about.news') }}</h2>
      <ul>
        <li v-for="(article, index) in news" :key="index">
          <a :href="article.url" class="fw-bold">{{ article.title }}</a><br/>
          {{ article.teaser }}
        </li>
      </ul>
    </div>

    <h2>{{ $t('about.research') }}</h2>
    <ul>
      <li><i>Can Editorial Decisions Impair Journal Recommendations? Analysing the Impact of Journal Characteristics on Recommendation Systems</i><br/>Short paper @ 18th ACM Conference on Recommender Systems 2024 (RecSys '24), <a href="https://doi.org/10.1145/3640457.3688194">10.1145/3640457.3688194</a></li>
      <li><i>Comparing different search methods for the open access journal recommendation tool B!SON</i><br/>International Journal on Digital Libraries, <a href="https://doi.org/10.1007/s00799-023-00372-3">10.1007/s00799-023-00372-3</a></li>
      <li><i>B!SON: A Tool for Open Access Journal Recommendation</i><br/>Short paper @ International Conference on Theory and Practice of Digital Libraries (TPDL) 2022, <a href="https://doi.org/10.1007/978-3-031-16802-4_33">10.1007/978-3-031-16802-4_33</a></li>
      <li><i>Algorithmen-gestützte Empfehlung von Publikationsoptionen: B!SON als Wegweiser im Dschungel der Open-Access-Journals</i><br/>Toolmarktplatz @ Open Access Tage 2022</li>
      <li><i>B!SON – a tool to make OA journal selection easier</i><br/>Talk @ The Munin Conference on Scholarly Publishing 2021, <a href="https://doi.org/10.7557/5.6190">10.7557/5.6190</a></li>
      <li><i>B!SON – Empfehlungsservice für qualitätsgesicherte Open-Access-Zeitschriften</i><br/>Talk @ Open Access Tage 2021, <a href="https://doi.org/10.5281/zenodo.5412197">10.5281/zenodo.5412197</a></li>
    </ul>

    <div v-if="Object.keys(bison_status).length > 0">
      <h2>{{ $t('about.status') }}</h2>
      {{ $t('about.status_desc') }}
      <ul>
        <li v-for="last_updated, dataset in bison_status" :key="dataset">{{ dataset }} {{ $t('about.status_last_updated') }} {{ localize_date(last_updated) }}</li>
      </ul>
    </div>

    <h2>{{ $t('about.license') }}</h2>
    <i18n-t keypath="about.license_text" tag="p" scope="global">
      <template #mit>
        <a href="https://opensource.org/licenses/MIT">MIT License</a>
      </template>
      <template #ccbysa>
        <a href="https://creativecommons.org/licenses/by-sa/4.0/">CC-BY-SA</a>
      </template>
      <template #cco>
        <a href="https://creativecommons.org/publicdomain/zero/1.0/">CC-0</a>
      </template>
      <template #ccby>
        <a href="https://creativecommons.org/licenses/by/4.0/">Creative Commons BY 4.0 International</a>
      </template>
      <template #jct>
        <a href="https://journalcheckertool.org">Journal Checker Tool</a>
      </template>
      <template #doaj>
        <a href="https://doaj.org">DOAJ</a>
      </template>
      <template #opencitations>
        <a href="https://opencitations.net">OpenCitations</a>
      </template>
      <template #agpl>
        <a href="https://gitlab.com/TIBHannover/bison/yak/-/blob/master/LICENSE">AGPL</a>
      </template>
    </i18n-t>

    <h2>{{ $t('about.contact') }}</h2>
    <p>{{ $t('about.contact_text') }}</p>
  </div>
</template>

<script>
import helper from '../helper'
import RouterMetaMixin from '@/router/RouterMetaMixin.js'

export default {
  name: 'About',
  title: 'about.title',
  mixins: [helper, RouterMetaMixin],
  created () {
    fetch(this.get_api_url() + 'api/public/v1/status')
      .then(response => response.json())
      .then(data => {
        this.bison_status = data
      })
    fetch(this.get_api_url() + 'api/news')
      .then(response => response.json())
      .then(data => {
        this.news = data
      })
  },
  data () {
    return {
      news: [],
      bison_status: {}
    }
  }
}
</script>
